﻿body {
    /*background: url('https://images.unsplash.com/photo-1523240795612-9a054b0db644') no-repeat center center/cover;*/
    background: url('../images/login_background_image.jpg') no-repeat center center/cover;
    height: 100vh;
}

.overlay {
    background: rgba(0,0,0,0.5);
    height: 100vh;
}

.login-card {
    background: rgb(0 0 0 / 38%);
    color: white;
    border-radius: 12px;
    padding: 25px;
    width: 100%;
    max-width: 400px;
}

.btn-custom {
    background: #00c853;
    color: white;
}

    .btn-custom:hover {
        background: #00a844;
    }

.hidden {
    display: none;
}
/* ================= LOADER ================= */

.loader-overlay {
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, 0.6);
    backdrop-filter: blur(3px);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999;
}

/* Logo in the center */
.loader-logo {
    position: absolute;
    width: 64px;
    height: 64px;
    object-fit: contain;
    filter: drop-shadow(0 0 8px rgba(0,198,255,0.9));
    z-index: 2;
}

/* Continuous same-color spinning ring */
.loader-circle {
    width: 90px;
    height: 90px;
    border: 5px solid rgba(0,198,255,0.3);
    border-top-color: #00c6ff;
    border-radius: 50%;
    animation: spin 1s linear infinite;
    position: absolute;
    z-index: 1;
}
@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}